Skip to main content
GET
List dataset entries

Authorizations

Authorization
string
header
required

A personal or service-account W&B API key.

Headers

Wandb-Entity
string

Accessible personal or team entity. Omit to use the API key's default entity.

Path Parameters

alias
string
required
Pattern: ^[a-z0-9-]{1,64}$
datasetId
string<uuid>
required

Query Parameters

page
integer
default:1

One-based result page. Defaults to 1.

Required range: x <= 9007199254740991
limit
integer
default:50

Entries per page. Defaults to 50; maximum 200.

Required range: 1 <= x <= 200
relabel_run_id
string<uuid>

Return outputs from this relabel run.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
critical_failure_eval_id
string<uuid>

Evaluation whose critical failures should be returned. Use with critical_failure_output_key.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
critical_failure_output_key
string

Output key whose critical failures should be returned. Use with critical_failure_eval_id.

Required string length: 1 - 600
eval_result_id
string<uuid>

Return the dataset entry associated with this evaluation result.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
version
integer

Read entries from a specific immutable dataset version.

Required range: 0 <= x <= 9007199254740991

Response

Paginated dataset entries and attached outputs/results.

page
integer
required
limit
integer
required
total
integer
required
entries
object[]
required
Last modified on August 25, 2026